core: 8.x
api: '2'
defaults:
  projects:
    subdir: contrib
projects:
  admin_toolbar:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/admin_toolbar.git'
      tag: 8.x-1.17
  adminimal_admin_toolbar:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/adminimal_admin_toolbar.git'
      tag: 8.x-1.3
  config_update:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/config_update.git'
      tag: 8.x-1.2
  country:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/country.git'
      branch: 8.x-1.x
  ctools:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/ctools'
      tag: 8.x-3.0-alpha26
    patch:
      - 'https://www.drupal.org/files/issues/ctools--8.x-3.0-alpha26--1fe3649.patch'
  embed:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/embed.git'
      tag: 8.x-1.0-rc3
  entity:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/entity'
      tag: 8.x-1.0-alpha3
  entity_browser:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/entity_browser.git'
      tag: 8.x-1.0-beta1
    # patch:
    #   - 'https://www.drupal.org/files/issues/2738843-7.patch'
  entity_embed:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/entity_embed.git'
      tag: 8.x-1.0-beta2
  entity_reference_revisions:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/entity_reference_revisions.git'
      tag: 8.x-1.0
  features:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/features.git'
      tag: 8.x-3.1
  flag:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/flag.git'
      branch: 8.x-4.x
  fullcalendar:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/fullcalendar.git'
      branch: 8.x-1.x
  gradebook:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'git://github.com/dakala/gradebook.git'
      branch: gh-8.x-1.x
  inline_entity_form:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/inline_entity_form'
      tag: 8.x-1.0-beta1
  languagefield:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/languagefield.git'
      branch: 8.x-1.2
  layout_plugin:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/layout_plugin'
      tag: 8.x-1.0-alpha23
  media_entity:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/media_entity.git'
      tag: 8.x-1.5
  media_entity_document:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/media_entity_document.git'
      tag: 8.x-1.1
  media_entity_image:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/media_entity_image.git'
      tag: 8.x-1.2
  media_entity_instagram:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/media_entity_instagram.git'
      tag: 8.x-1.2
  media_entity_twitter:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/media_entity_twitter.git'
      tag: 8.x-1.3
    # patch:
    #   - 'https://www.drupal.org/files/issues/2764411_4.patch'
  metatag:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/metatag'
      tag: 8.x-1.0-beta11
    # patch:
    #   - 'https://www.drupal.org/files/issues/2765137-2.patch'
  migrate_api:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/migrate_api.git'
      branch: 8.x-1.1
  migrate_plus:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/migrate_plus.git'
      tag: 8.x-3.0-beta1
  migrate_tools:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/migrate_tools.git'
      tag: 8.x-3.0-beta1
  og:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/og.git'
      branch: 8.x-1.x
  page_manager:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/page_manager'
      tag: 8.x-1.0-alpha24
    # patch:
    #   - 'https://www.drupal.org/files/issues/page_manager--alpha23-09e79ff--2747739-3.patch'
  panelizer:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/panelizer'
      tag: 8.x-3.0-alpha2
    patch:
      - 'https://www.drupal.org/files/issues/panelizer--alpha2-1ddfa61--2747739-5.patch'
      - 'https://www.drupal.org/files/issues/2701349-2.patch'
      - 'https://www.drupal.org/files/issues/panelizer-ipe-url-root-handling.patch'
      - 'https://www.drupal.org/files/issues/2664682-49.patch'
  panels:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/panels'
      tag: 8.x-3.0-beta5
    patch:
      # - 'https://www.drupal.org/files/issues/panels--beta4-4c4a3a7--2747739-17--binary.patch'
      # - 'https://www.drupal.org/files/issues/2667754-3.patch'
      - 'https://www.drupal.org/files/issues/bandaid.patch'
      # - 'https://www.drupal.org/files/issues/2697587-48.patch'
  paragraphs:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'http://git.drupal.org/project/paragraphs.git'
      tag: 8.x-1.0
  pathauto:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/pathauto.git'
      tag: 8.x-1.0-alpha3
  profile:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/profile.git'
      tag: 8.x-1.0-alpha5
  rules:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/rules.git'
      tag: 8.x-3.0-alpha2
  scheduled_updates:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/scheduled_updates.git'
      tag: 8.x-1.0-alpha5
    patch:
      - 'https://www.drupal.org/files/issues/schedule_updates-save_type-2674874-2.patch'
  simpleaddress:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/simpleaddress.git'
      branch: 8.x-1.x
  token:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/token'
      tag: 8.x-1.0-beta2
  typed_data:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/typed_data'
      tag: 8.x-1.0-alpha1
  video_embed_field:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/video_embed_field'
      tag: 8.x-1.3
  views_infinite_scroll:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/views_infinite_scroll'
      tag: 8.x-1.3
    # patch:
    #   - 'https://www.drupal.org/files/issues/no-wrapper-empty-rows-2701881-2.patch'
  workbench_moderation:
    subdir: contrib
    type: module
    download:
      type: git
      url: 'https://git.drupal.org/project/workbench_moderation'
      tag: 8.x-1.1
    patch:
      - 'https://www.drupal.org/files/issues/2668006-2.patch'
  bootstrap:
    subdir: contrib
    type: theme
    version: 3.0
  adminimal_theme:
    subdir: contrib
    type: theme
    version: 1.2
libraries:
  fullcalendar:
    type: library
    directory_name: fullcalendar
    download:
      type: get
      url: 'https://github.com/fullcalendar/fullcalendar/releases/download/v3.0.1/fullcalendar-3.0.1.zip'
    destination: ../../libraries
  fullcalendar-scheduler:
    type: library
    directory_name: fullcalendar-scheduler
    download:
      type: get
      url: 'https://github.com/fullcalendar/fullcalendar-scheduler/releases/download/v1.4.0/fullcalendar-scheduler-1.4.0.zip'
    destination: ../../libraries
